Nutanix AOS: 複数の脆弱性 (NXSA-AOS-5.19)

medium Nessus プラグイン ID 164574

概要

Nutanix AOS ホストは、複数の脆弱性の影響を受けます。

説明

リモートホストにインストールされている AOS のバージョンは、5.19 より前です。したがって、NXSA-AOS-5.19 のアドバイザリに記載されている複数の脆弱性の影響を受けます。

- 1.2 以降 3.5.0 より前のバージョンの jQuery では、信頼できないソースからの HTML を jQuery の DOM 操作メソッドの 1 つ (.html()、.append() など) に渡すと、HTML がサニタイズされた後でも、信頼できないコードが実行されることがあります。jQuery 3.5.0でこの問題に対するパッチが適用されています。(CVE-2020-11022)

- 1.0.3以降 3.5.0より前のバージョンの jQuery では、信頼できないソースからの <option>要素を含む HTML を jQuery の DOM 操作メソッドの 1 つ (.html()、.append()など) に渡すと、HTML がサニタイズされた後でも、信頼できないコードが実行されることがあります。jQuery 3.5.0でこの問題に対するパッチが適用されています。
(CVE-2020-11023)

Nessus はこれらの問題をテストしておらず、代わりにアプリケーションの自己報告されたバージョン番号にのみ依存しています。

ソリューション

Nutanix AOS ソフトウェアを推奨バージョンに更新してください。

関連情報

https://download.nutanix.com/advisories/NXSA-AOS-5-19.html

プラグインの詳細

深刻度: Medium

ID: 164574

ファイル名: nutanix_NXSA-AOS-5_19.nasl

バージョン: 1.3

タイプ: local

ファミリー: Misc.

公開日: 2022/9/1

更新日: 2022/9/2

リスク情報

VPR

リスクファクター: Medium

スコア: 5.7

CVSS v2

リスクファクター: Medium

Base Score: 4.3

Temporal Score: 3.4

ベクトル: AV:N/AC:M/Au:N/C:N/I:P/A:N

現状ベクトル: E:POC/RL:OF/RC:C

CVSS スコアのソース: CVE-2020-11023

CVSS v3

リスクファクター: Medium

Base Score: 6.1

Temporal Score: 5.5

ベクトル: CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:C/C:L/I:L/A:N

現状ベクトル: E:P/RL:O/RC:C

脆弱性情報

CPE: cpe:/o:nutanix:aos

必要な KB アイテム: Host/Nutanix/Data/lts, Host/Nutanix/Data/Service, Host/Nutanix/Data/Version, Host/Nutanix/Data/arch

エクスプロイトが利用可能: true

エクスプロイトの容易さ: Exploits are available

パッチ公開日: 2022/8/24

脆弱性公開日: 2020/4/29

参照情報

CVE: CVE-2020-11022, CVE-2020-11023